Skip to main content
`Ctrl`+`K`

# PCDeflationSetProjectionNullSpaceMat

Set the projection null space matrix (W’*A).

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCDeflationSetProjectionNullSpaceMat(PC pc, Mat mat)

Collective

## Input Parameters

- pc - preconditioner context

- mat - projection null space matrix

## See Also

KSP: Linear System Solvers, `PCDEFLATION`, `PCDeflationSetSpace()`

## Level

developer

## Location

src/ksp/pc/impls/deflation/deflation.c

## Implementations

PCDeflationSetProjectionNullSpaceMat_Deflation() in src/ksp/pc/impls/deflation/deflation.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages